const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Aceh Barat',
    'Kabupaten Aceh Barat Daya',
    'Kabupaten Aceh Besar',
    'Kabupaten Aceh Jaya',
    'Kabupaten Aceh Selatan',
    'Kabupaten Aceh Singkil',
    'Kabupaten Aceh Tamiang',
    'Kabupaten Aceh Tengah',
    'Kabupaten Aceh Tenggara',
    'Kabupaten Aceh Timur',
    'Kabupaten Aceh Utara',
    'Kabupaten Bener Meriah',
    'Kabupaten Bireuen',
    'Kabupaten Gayo Lues',
    'Kabupaten Nagan Raya',
    'Kabupaten Pidie',
    'Kabupaten Pidie Jaya',
    'Kabupaten Simeulue',
    'Kota Banda Aceh',
    'Kota Langsa',
    'Kota Lhokseumawe',
    'Kota Sabang',
    'Kota Subulussalam'

    // 23
];

exports.seedAcehCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Aceh' },
    });

    if (!province) {
        console.error('❌ Province Aceh not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            create: {
                name,
                province_id: province.id,
                updatedAt: timeLocal.now().toDate()
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            }
        });
    }

    console.log('✅ Aceh City seeded!.');
};